/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Move             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include "move.h"

/* Definitions */
Game game;
Network network;
Network network2;
/* Constructor */
Modul::Modul() {}

//-----------------------------------------------------------------------------

/* Network / send() / recv() */		
void Modul::cbnetwork(char *nmove,char *chess, char *player)
{	
	/* Player */
	Modul::bwplayer(player);
    
	/* White vs Engine */
	if(chess[1])
	{
        Modul::wengine(nmove,player);
	}

	/* Black vs Engine */
	else if(chess[2])
	{
        Modul::bengine(nmove,player);
	}

	/* White and Black */
	else if(chess[3])
	{
        Modul::normal(nmove,player);
	}
	
	/* Server */
	else if(chess[4])
	{
        Modul::server(nmove,player);
	}
	
	/* Client */
	else if(chess[5])
	{
        Modul::client(nmove,player);
	}
}

//---------------------------------------------------------------------------

/* Player */
void Modul::bwplayer(char *player)
{
	if(player[1])
	{
		mvprintw(4,37,"White:");
		mvprintw(5,37,"------");
		mvprintw(6,37," ");
	}
	else if(player[8])
	{
		mvprintw(4,37,"Black:");
		mvprintw(5,37,"------");
		mvprintw(6,37," ");
	}
}

//---------------------------------------------------------------------------

/* White vs Engine */
void Modul::wengine(char *nmove,char *player)
{
	if(player[1])
	{
		getnstr(nmove, MOV);	
	}
	else if(player[8])
	{
		game.sort(nmove, player);
	}
}

//---------------------------------------------------------------------------

/* Black vs Engine */
void Modul::bengine(char *nmove,char *player)
{
	if(player[1])
	{
		game.sort(nmove, player);	
	}
	else if(player[8])
	{
		getnstr(nmove, MOV);
	}
}

//---------------------------------------------------------------------------

/* White and Black */
void Modul::normal(char *nmove,char *player)
{
	if(player[1])
	{
		getnstr(nmove, MOV);	
	}
	else if(player[8])
	{
		getnstr(nmove, MOV);
	}
}

//---------------------------------------------------------------------------

/* Server */
void Modul::server(char *nmove,char *player)
{
	if(player[1])
	{	
		getnstr(nmove, MOV);
		network2.send(nmove, MOV);
	}
	else if(player[8])
	{
		network2.recv(nmove, MOV);
	}
}
    
//---------------------------------------------------------------------------
   
/* Client */
void Modul::client(char *nmove,char *player)
{
	if(player[1])
	{
		network.recv(nmove, MOV);	
	}
	else if(player[8])
	{	
		getnstr(nmove, MOV);	
		network.send(nmove, MOV);
	}
}

//---------------------------------------------------------------------------



